Error message CAS9140E with RC=0008 installing the IDMS SVC with CAIRIM.

Document ID : KB000025843
Last Modified Date : 14/02/2018
Show Technical Document Details

Problem:

Running CAIRIM to install the IDMS SVC ends with error message:

CAS9140E - INIT ERROR: CA-IDMS VER GJJ0, INIT ROUTINE RC=0008

For IDMS 18.0 the message the VER would be GJI0 and for 18.5 GJI5.

This could occur during an IPL when the CAS9 procedure is run or by running JOB10 from the installation JCL to install the SVC at any time.

What can cause this error?

 

Resolution:

The possible causes of this error are:

  • The STEPLIB APFLIB library is not APF authorized.

  • The APFLIB is missing one of the required modules:

    • the SVC module IGCnnn 
    • GJI0INIT (for 18.0)
    • GJI5INIT (for 18.5)
    • GJJ0INIT (for 19.0) 
    • RHDCSSFM
    • IDMSMSVA
    • PMRTDATA
    • CAIXDOA$
  • Module CAILPAM is missing, resides in the CA Common Services CAW0LINK library.

  • The APFLIB library is a PDSE. Currently CAIRIM does not support PDSEs, the library has to be a PDS.

  • CAS9SEC has not been loaded in the LPA. It is loaded by running CAIRIM with the following input parameter:

    PRODUCT(CA-SECURITY/INIT) VERSION(S910) INIT(CAS9INIT).

  • If the same SVC number was installed previously, you need to specify the REFRESH parameter:

    (CA-IDMS) VERSION(GJG0) INIT(GJI0INIT) PARM(REFRESH(SVC=svc-number)) << For 18.0
    (CA-IDMS) VERSION(GJG0) INIT(GJI5INIT) PARM(REFRESH(SVC=svc-number)) << For 18.5 
    (CA-IDMS) VERSION(GJH0) INIT(GJJ0INIT) PARM(REFRESH(SVC=svc-number)) << For 19.0

    When doing a REFRESH, all CVs using the SVC must be brought down prior to the REFRESH.

 

Additional Information:

Installation and Maintenance Guide for z/OS section Load SVC Using CAIRIM